/*
   File:      Utility_Functions.h
   Specifica: prototipi funzioni di utilita'
*/

#ifndef Shell_Unix_Utility_Function_h
#define Shell_Unix_Utility_Function_h

const int isDirectory(const char *);
char *linkTwo(const char *, const char *);
char *linkThree(const char *, const char *, const char *);
char **splitArgument(char *, char *, unsigned int *);
const void freeArgument(char **);
void writeAndCheck(int, char **, const unsigned long);
void readAndCheck(int, char *, const unsigned long);
const void copyfile(const char *, const char *);
const int walk_recur(const char *);
const int copy_recur(const char *, const char *);
const int move_recur(const char *, const char *);
const int remove_recur(const char *);
const int find_recur(const char *, const char *);
const int check_and_remove(const char *);
const void invalid_argument(const char *);
const char *current_directory();
const void check_alloc(const void *);
const int analyze_cases(const int);
const void info_file(const char *);
const int remove_error(const int);

#endif